# Uses of Class
java.io.OutputStream

Packages that use OutputStream
Package
Description
com.sun.net.httpserver
Provides a simple high-level Http server API, which can be used to build embedded HTTP servers.
java.awt.color
Provides classes for color spaces.
java.beans
Contains classes related to developing beans -- components based on the JavaBeans architecture.
java.io
Provides for system input and output through data streams, serialization and the file system.
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.net
Provides the classes for implementing networking applications.
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.
java.nio.file.spi
Service-provider classes for the `java.nio.file` package.
java.rmi.server
Provides classes and interfaces for supporting the server side of RMI.
java.security
Provides the classes and interfaces for the security framework.
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.jar
Provides classes for reading and writing the JAR (Java ARchive) file format, which is based on the standard ZIP file format with an optional manifest file.
java.util.logging
Provides the classes and interfaces of the Java 2 platform's core logging facilities.
java.util.prefs
This package allows applications to store and retrieve user and system preference and configuration data.
java.util.zip
Provides classes for reading and writing the standard ZIP and GZIP file formats.
javax.crypto
Provides the classes and interfaces for cryptographic operations.
javax.imageio
The main package of the Java Image I/O API.
javax.imageio.stream
A package of the Java Image I/O API dealing with low-level I/O from files and streams.
javax.print
Provides the principal classes and interfaces for the Java Print Service API.
javax.sound.midi
Provides interfaces and classes for I/O, sequencing, and synthesis of MIDI (Musical Instrument Digital Interface) data.
javax.sound.midi.spi
Supplies interfaces for service providers to implement when offering new MIDI devices, MIDI file readers and writers, or sound bank readers.
javax.sound.sampled
Provides interfaces and classes for capture, processing, and playback of sampled audio data.
javax.sound.sampled.spi
Supplies abstract classes for service providers to subclass when offering new audio devices, sound file readers and writers, or audio format converters.
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.
javax.sql.rowset.serial
Provides utility classes to allow serializable mappings between SQL types and data types in the Java programming language.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.swing.text.rtf
Provides a class (`RTFEditorKit`) for creating Rich-Text-Format text editors.
javax.tools
Provides interfaces for tools which can be invoked from a program, for example, compilers.
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.transform.stream
Provides stream and URI specific transformation classes.
jdk.jshell.execution
Provides implementation support for building JShell execution engines.
jdk.security.jarsigner
This package defines APIs for signing jar files.
org.ietf.jgss
This package presents a framework that allows application developers to make use of security services like authentication, data integrity and data confidentiality from a variety of underlying security mechanisms like Kerberos, using a unified API.
org.w3c.dom.ls
Provides interfaces for DOM Level 3 Load and Save.

## Uses of OutputStream in com.sun.net.httpserver

Methods in com.sun.net.httpserver that return OutputStream
Modifier and Type
Method
Description
`abstract OutputStream`
HttpExchange.`getResponseBody()`
Returns a stream to which the response body must be written.
Methods in com.sun.net.httpserver with parameters of type OutputStream
Modifier and Type
Method
Description
`abstract void`
HttpExchange.`setStreams​(InputStream i, OutputStream o)`
Used by Filters to wrap either (or both) of this exchange's `InputStream` and `OutputStream`, with the given filtered streams so that subsequent calls to `HttpExchange.getRequestBody()` will return the given `InputStream`, and calls to `HttpExchange.getResponseBody()` will return the given `OutputStream`.

## Uses of OutputStream in java.awt.color

Methods in java.awt.color with parameters of type OutputStream
Modifier and Type
Method
Description
`void`
ICC_Profile.`write​(OutputStream s)`
Write this `ICC_Profile` to an `OutputStream`.

## Uses of OutputStream in java.beans

Constructors in java.beans with parameters of type OutputStream
Modifier
Constructor
Description
``
`XMLEncoder​(OutputStream out)`
Creates a new XML encoder to write out JavaBeans to the stream `out` using an XML encoding.
``
`XMLEncoder​(OutputStream out, String charset, boolean declaration, int indentation)`
Creates a new XML encoder to write out JavaBeans to the stream `out` using the given `charset` starting from the given `indentation`.

## Uses of OutputStream in java.io

Subclasses of OutputStream in java.io
Modifier and Type
Class
Description
`class`
`BufferedOutputStream`
The class implements a buffered output stream.
`class`
`ByteArrayOutputStream`
This class implements an output stream in which the data is written into a byte array.
`class`
`DataOutputStream`
A data output stream lets an application write primitive Java data types to an output stream in a portable way.
`class`
`FileOutputStream`
A file output stream is an output stream for writing data to a `File` or to a `FileDescriptor`.
`class`
`FilterOutputStream`
This class is the superclass of all classes that filter output streams.
`class`
`ObjectOutputStream`
An ObjectOutputStream writes primitive data types and graphs of Java objects to an OutputStream.
`class`
`PipedOutputStream`
A piped output stream can be connected to a piped input stream to create a communications pipe.
`class`
`PrintStream`
A `PrintStream` adds functionality to another output stream, namely the ability to print representations of various data values conveniently.
Fields in java.io declared as OutputStream
Modifier and Type
Field
Description
`protected OutputStream`
FilterOutputStream.`out`
The underlying output stream to be filtered.
Methods in java.io that return OutputStream
Modifier and Type
Method
Description
`static OutputStream`
OutputStream.`nullOutputStream()`
Returns a new `OutputStream` which discards all bytes.
Methods in java.io with parameters of type OutputStream
Modifier and Type
Method
Description
`long`
InputStream.`transferTo​(OutputStream out)`
Reads all bytes from this input stream and writes the bytes to the given output stream in the order that they are read.
`void`
ByteArrayOutputStream.`writeTo​(OutputStream out)`
Writes the complete contents of this `ByteArrayOutputStream` to the specified output stream argument, as if by calling the output stream's write method using `out.write(buf, 0, count)`.
Constructors in java.io with parameters of type OutputStream
Modifier
Constructor
Description
``
`BufferedOutputStream​(OutputStream out)`
Creates a new buffered output stream to write data to the specified underlying output stream.
``
`BufferedOutputStream​(OutputStream out, int size)`
Creates a new buffered output stream to write data to the specified underlying output stream with the specified buffer size.
``
`DataOutputStream​(OutputStream out)`
Creates a new data output stream to write data to the specified underlying output stream.
``
`FilterOutputStream​(OutputStream out)`
Creates an output stream filter built on top of the specified underlying output stream.
``
`ObjectOutputStream​(OutputStream out)`
Creates an ObjectOutputStream that writes to the specified OutputStream.
``
`OutputStreamWriter​(OutputStream out)`
Creates an OutputStreamWriter that uses the default character encoding.
``
`OutputStreamWriter​(OutputStream out, String charsetName)`
Creates an OutputStreamWriter that uses the named charset.
``
`OutputStreamWriter​(OutputStream out, Charset cs)`
Creates an OutputStreamWriter that uses the given charset.
``
`OutputStreamWriter​(OutputStream out, CharsetEncoder enc)`
Creates an OutputStreamWriter that uses the given charset encoder.
``
`PrintStream​(OutputStream out)`
Creates a new print stream, without automatic line flushing, with the specified OutputStream.
``
`PrintStream​(OutputStream out, boolean autoFlush)`
Creates a new print stream, with the specified OutputStream and line flushing.
``
`PrintStream​(OutputStream out, boolean autoFlush, String encoding)`
Creates a new print stream, with the specified OutputStream, line flushing, and character encoding.
``
`PrintStream​(OutputStream out, boolean autoFlush, Charset charset)`
Creates a new print stream, with the specified OutputStream, line flushing and charset.
``
`PrintWriter​(OutputStream out)`
Creates a new PrintWriter, without automatic line flushing, from an existing OutputStream.
``
`PrintWriter​(OutputStream out, boolean autoFlush)`
Creates a new PrintWriter from an existing OutputStream.
``
`PrintWriter​(OutputStream out, boolean autoFlush, Charset charset)`
Creates a new PrintWriter from an existing OutputStream.

## Uses of OutputStream in java.lang

Methods in java.lang that return OutputStream
Modifier and Type
Method
Description
`abstract OutputStream`
Process.`getOutputStream()`
Returns the output stream connected to the normal input of the process.

## Uses of OutputStream in java.net

Methods in java.net that return OutputStream
Modifier and Type
Method
Description
`abstract OutputStream`
CacheRequest.`getBody()`
Returns an OutputStream to which the response body can be written.
`OutputStream`
Socket.`getOutputStream()`
Returns an output stream for this socket.
`protected abstract OutputStream`
SocketImpl.`getOutputStream()`
Returns an output stream for this socket.
`OutputStream`
URLConnection.`getOutputStream()`
Returns an output stream that writes to this connection.

## Uses of OutputStream in java.nio.channels

Methods in java.nio.channels that return OutputStream
Modifier and Type
Method
Description
`static OutputStream`
Channels.`newOutputStream​(AsynchronousByteChannel ch)`
Constructs a stream that writes bytes to the given channel.
`static OutputStream`
Channels.`newOutputStream​(WritableByteChannel ch)`
Constructs a stream that writes bytes to the given channel.
Methods in java.nio.channels with parameters of type OutputStream
Modifier and Type
Method
Description
`static WritableByteChannel`
Channels.`newChannel​(OutputStream out)`
Constructs a channel that writes bytes to the given stream.

## Uses of OutputStream in java.nio.file

Methods in java.nio.file that return OutputStream
Modifier and Type
Method
Description
`static OutputStream`
Files.`newOutputStream​(Path path, OpenOption... options)`
Opens or creates a file, returning an output stream that may be used to write bytes to the file.
Methods in java.nio.file with parameters of type OutputStream
Modifier and Type
Method
Description
`static long`
Files.`copy​(Path source, OutputStream out)`
Copies all bytes from a file to an output stream.

## Uses of OutputStream in java.nio.file.spi

Methods in java.nio.file.spi that return OutputStream
Modifier and Type
Method
Description
`OutputStream`
FileSystemProvider.`newOutputStream​(Path path, OpenOption... options)`
Opens or creates a file, returning an output stream that may be used to write bytes to the file.

## Uses of OutputStream in java.rmi.server

Subclasses of OutputStream in java.rmi.server
Modifier and Type
Class
Description
`class`
`LogStream`
Deprecated.
no replacement
Methods in java.rmi.server that return OutputStream
Modifier and Type
Method
Description
`OutputStream`
LogStream.`getOutputStream()`
Deprecated.
no replacement
Methods in java.rmi.server with parameters of type OutputStream
Modifier and Type
Method
Description
`static void`
RemoteServer.`setLog​(OutputStream out)`
Log RMI calls to the output stream `out`.
`void`
LogStream.`setOutputStream​(OutputStream out)`
Deprecated.
no replacement

## Uses of OutputStream in java.security

Subclasses of OutputStream in java.security
Modifier and Type
Class
Description
`class`
`DigestOutputStream`
A transparent stream that updates the associated message digest using the bits going through the stream.
Methods in java.security with parameters of type OutputStream
Modifier and Type
Method
Description
`void`
Certificate.`encode​(OutputStream stream)`
Deprecated, for removal: This API element is subject to removal in a future version.
Encodes the certificate to an output stream in a format that can be decoded by the `decode` method.
`abstract void`
KeyStoreSpi.`engineStore​(OutputStream stream, char[] password)`
Stores this keystore to the given output stream, and protects its integrity with the given password.
`void`
KeyStore.`store​(OutputStream stream, char[] password)`
Stores this keystore to the given output stream, and protects its integrity with the given password.
Constructors in java.security with parameters of type OutputStream
Modifier
Constructor
Description
``
`DigestOutputStream​(OutputStream stream, MessageDigest digest)`
Creates a digest output stream, using the specified output stream and message digest.

## Uses of OutputStream in java.security.cert

Methods in java.security.cert with parameters of type OutputStream
Modifier and Type
Method
Description
`void`
Extension.`encode​(OutputStream out)`
Generates the extension's DER encoding and writes it to the output stream.

## Uses of OutputStream in java.sql

Methods in java.sql that return OutputStream
Modifier and Type
Method
Description
`OutputStream`
Clob.`setAsciiStream​(long pos)`
Retrieves a stream to be used to write Ascii characters to the `CLOB` value that this `Clob` object represents, starting at position `pos`.
`OutputStream`
Blob.`setBinaryStream​(long pos)`
Retrieves a stream that can be used to write to the `BLOB` value that this `Blob` object represents.
`OutputStream`
SQLXML.`setBinaryStream()`
Retrieves a stream that can be used to write the XML value that this SQLXML instance represents.

## Uses of OutputStream in java.util

Methods in java.util that return OutputStream
Modifier and Type
Method
Description
`OutputStream`
Base64.Encoder.`wrap​(OutputStream os)`
Wraps an output stream for encoding byte data using the `Base64` encoding scheme.
Methods in java.util with parameters of type OutputStream
Modifier and Type
Method
Description
`void`
Properties.`save​(OutputStream out, String comments)`
Deprecated.
This method does not throw an IOException if an I/O error occurs while saving the property list.
`void`
Properties.`store​(OutputStream out, String comments)`
Writes this property list (key and element pairs) in this `Properties` table to the output stream in a format suitable for loading into a `Properties` table using the `load(InputStream)` method.
`void`
Properties.`storeToXML​(OutputStream os, String comment)`
Emits an XML document representing all of the properties contained in this table.
`void`
Properties.`storeToXML​(OutputStream os, String comment, String encoding)`
Emits an XML document representing all of the properties contained in this table, using the specified encoding.
`void`
Properties.`storeToXML​(OutputStream os, String comment, Charset charset)`
Emits an XML document representing all of the properties contained in this table, using the specified encoding.
`OutputStream`
Base64.Encoder.`wrap​(OutputStream os)`
Wraps an output stream for encoding byte data using the `Base64` encoding scheme.
Constructors in java.util with parameters of type OutputStream
Modifier
Constructor
Description
``
`Formatter​(OutputStream os)`
Constructs a new formatter with the specified output stream.
``
`Formatter​(OutputStream os, String csn)`
Constructs a new formatter with the specified output stream and charset.
``
`Formatter​(OutputStream os, String csn, Locale l)`
Constructs a new formatter with the specified output stream, charset, and locale.
``
`Formatter​(OutputStream os, Charset charset, Locale l)`
Constructs a new formatter with the specified output stream, charset, and locale.

## Uses of OutputStream in java.util.jar

Subclasses of OutputStream in java.util.jar
Modifier and Type
Class
Description
`class`
`JarOutputStream`
The `JarOutputStream` class is used to write the contents of a JAR file to any output stream.
Methods in java.util.jar with parameters of type OutputStream
Modifier and Type
Method
Description
`void`
Manifest.`write​(OutputStream out)`
Writes the Manifest to the specified OutputStream.
Constructors in java.util.jar with parameters of type OutputStream
Modifier
Constructor
Description
``
`JarOutputStream​(OutputStream out)`
Creates a new `JarOutputStream` with no manifest.
``
`JarOutputStream​(OutputStream out, Manifest man)`
Creates a new `JarOutputStream` with the specified `Manifest`.

## Uses of OutputStream in java.util.logging

Methods in java.util.logging with parameters of type OutputStream
Modifier and Type
Method
Description
`protected void`
StreamHandler.`setOutputStream​(OutputStream out)`
Change the output stream.
Constructors in java.util.logging with parameters of type OutputStream
Modifier
Constructor
Description
``
`StreamHandler​(OutputStream out, Formatter formatter)`
Create a `StreamHandler` with a given `Formatter` and output stream.

## Uses of OutputStream in java.util.prefs

Methods in java.util.prefs with parameters of type OutputStream
Modifier and Type
Method
Description
`void`
AbstractPreferences.`exportNode​(OutputStream os)`
Implements the `exportNode` method as per the specification in `Preferences.exportNode(OutputStream)`.
`abstract void`
Preferences.`exportNode​(OutputStream os)`
Emits on the specified output stream an XML document representing all of the preferences contained in this node (but not its descendants).
`void`
AbstractPreferences.`exportSubtree​(OutputStream os)`
Implements the `exportSubtree` method as per the specification in `Preferences.exportSubtree(OutputStream)`.
`abstract void`
Preferences.`exportSubtree​(OutputStream os)`
Emits an XML document representing all of the preferences contained in this node and all of its descendants.

## Uses of OutputStream in java.util.zip

Subclasses of OutputStream in java.util.zip
Modifier and Type
Class
Description
`class`
`CheckedOutputStream`
An output stream that also maintains a checksum of the data being written.
`class`
`DeflaterOutputStream`
This class implements an output stream filter for compressing data in the "deflate" compression format.
`class`
`GZIPOutputStream`
This class implements a stream filter for writing compressed data in the GZIP file format.
`class`
`InflaterOutputStream`
Implements an output stream filter for uncompressing data stored in the "deflate" compression format.
`class`
`ZipOutputStream`
This class implements an output stream filter for writing files in the ZIP file format.
Constructors in java.util.zip with parameters of type OutputStream
Modifier
Constructor
Description
``
`CheckedOutputStream​(OutputStream out, Checksum cksum)`
Creates an output stream with the specified Checksum.
``
`DeflaterOutputStream​(OutputStream out)`
Creates a new output stream with a default compressor and buffer size.
``
`DeflaterOutputStream​(OutputStream out, boolean syncFlush)`
Creates a new output stream with a default compressor, a default buffer size and the specified flush mode.
``
`DeflaterOutputStream​(OutputStream out, Deflater def)`
Creates a new output stream with the specified compressor and a default buffer size.
``
`DeflaterOutputStream​(OutputStream out, Deflater def, boolean syncFlush)`
Creates a new output stream with the specified compressor, flush mode and a default buffer size.
``
`DeflaterOutputStream​(OutputStream out, Deflater def, int size)`
Creates a new output stream with the specified compressor and buffer size.
``
`DeflaterOutputStream​(OutputStream out, Deflater def, int size, boolean syncFlush)`
Creates a new output stream with the specified compressor, buffer size and flush mode.
``
`GZIPOutputStream​(OutputStream out)`
Creates a new output stream with a default buffer size.
``
`GZIPOutputStream​(OutputStream out, boolean syncFlush)`
Creates a new output stream with a default buffer size and the specified flush mode.
``
`GZIPOutputStream​(OutputStream out, int size)`
Creates a new output stream with the specified buffer size.
``
`GZIPOutputStream​(OutputStream out, int size, boolean syncFlush)`
Creates a new output stream with the specified buffer size and flush mode.
``
`InflaterOutputStream​(OutputStream out)`
Creates a new output stream with a default decompressor and buffer size.
``
`InflaterOutputStream​(OutputStream out, Inflater infl)`
Creates a new output stream with the specified decompressor and a default buffer size.
``
`InflaterOutputStream​(OutputStream out, Inflater infl, int bufLen)`
Creates a new output stream with the specified decompressor and buffer size.
``
`ZipOutputStream​(OutputStream out)`
Creates a new ZIP output stream.
``
`ZipOutputStream​(OutputStream out, Charset charset)`
Creates a new ZIP output stream.

## Uses of OutputStream in javax.crypto

Subclasses of OutputStream in javax.crypto
Modifier and Type
Class
Description
`class`
`CipherOutputStream`
A CipherOutputStream is composed of an OutputStream and a Cipher so that write() methods first process the data before writing them out to the underlying OutputStream.
Constructors in javax.crypto with parameters of type OutputStream
Modifier
Constructor
Description
`protected`
`CipherOutputStream​(OutputStream os)`
Constructs a CipherOutputStream from an OutputStream without specifying a Cipher.
``
`CipherOutputStream​(OutputStream os, Cipher c)`
Constructs a CipherOutputStream from an OutputStream and a Cipher.

## Uses of OutputStream in javax.imageio

Methods in javax.imageio with parameters of type OutputStream
Modifier and Type
Method
Description
`static boolean`
ImageIO.`write​(RenderedImage im, String formatName, OutputStream output)`
Writes an image using an arbitrary `ImageWriter` that supports the given format to an `OutputStream`.

## Uses of OutputStream in javax.imageio.stream

Constructors in javax.imageio.stream with parameters of type OutputStream
Modifier
Constructor
Description
``
`FileCacheImageOutputStream​(OutputStream stream, File cacheDir)`
Constructs a `FileCacheImageOutputStream` that will write to a given `outputStream`.
``
`MemoryCacheImageOutputStream​(OutputStream stream)`
Constructs a `MemoryCacheImageOutputStream` that will write to a given `OutputStream`.

## Uses of OutputStream in javax.print

Methods in javax.print that return OutputStream
Modifier and Type
Method
Description
`OutputStream`
StreamPrintService.`getOutputStream()`
Gets the output stream.
Methods in javax.print with parameters of type OutputStream
Modifier and Type
Method
Description
`abstract StreamPrintService`
StreamPrintServiceFactory.`getPrintService​(OutputStream out)`
Returns a `StreamPrintService` that can print to the specified output stream.
Constructors in javax.print with parameters of type OutputStream
Modifier
Constructor
Description
`protected`
`StreamPrintService​(OutputStream out)`
Constructs a `StreamPrintService` object.

## Uses of OutputStream in javax.sound.midi

Methods in javax.sound.midi with parameters of type OutputStream
Modifier and Type
Method
Description
`static int`
MidiSystem.`write​(Sequence in, int fileType, OutputStream out)`
Writes a stream of bytes representing a file of the MIDI file type indicated to the output stream provided.

## Uses of OutputStream in javax.sound.midi.spi

Methods in javax.sound.midi.spi with parameters of type OutputStream
Modifier and Type
Method
Description
`abstract int`
MidiFileWriter.`write​(Sequence in, int fileType, OutputStream out)`
Writes a stream of bytes representing a MIDI file of the file type indicated to the output stream provided.

## Uses of OutputStream in javax.sound.sampled

Methods in javax.sound.sampled with parameters of type OutputStream
Modifier and Type
Method
Description
`static int`
AudioSystem.`write​(AudioInputStream stream, AudioFileFormat.Type fileType, OutputStream out)`
Writes a stream of bytes representing an audio file of the specified file type to the output stream provided.

## Uses of OutputStream in javax.sound.sampled.spi

Methods in javax.sound.sampled.spi with parameters of type OutputStream
Modifier and Type
Method
Description
`abstract int`
AudioFileWriter.`write​(AudioInputStream stream, AudioFileFormat.Type fileType, OutputStream out)`
Writes a stream of bytes representing an audio file of the file type indicated to the output stream provided.

## Uses of OutputStream in javax.sql.rowset

Methods in javax.sql.rowset with parameters of type OutputStream
Modifier and Type
Method
Description
`void`
WebRowSet.`writeXml​(OutputStream oStream)`
Writes the data, properties, and metadata for this `WebRowSet` object to the given `OutputStream` object in XML format.
`void`
WebRowSet.`writeXml​(ResultSet rs, OutputStream oStream)`
Populates this `WebRowSet` object with the contents of the given `ResultSet` object and writes its data, properties, and metadata to the given `OutputStream` object in XML format.

## Uses of OutputStream in javax.sql.rowset.serial

Methods in javax.sql.rowset.serial that return OutputStream
Modifier and Type
Method
Description
`OutputStream`
SerialClob.`setAsciiStream​(long pos)`
Retrieves a stream to be used to write Ascii characters to the `CLOB` value that this `SerialClob` object represents, starting at position `pos`.
`OutputStream`
SerialBlob.`setBinaryStream​(long pos)`
Retrieves a stream that can be used to write to the `BLOB` value that this `Blob` object represents.

## Uses of OutputStream in javax.swing.text

Methods in javax.swing.text with parameters of type OutputStream
Modifier and Type
Method
Description
`void`
DefaultEditorKit.`write​(OutputStream out, Document doc, int pos, int len)`
Writes content from a document to the given stream in a format appropriate for this kind of content handler.
`abstract void`
EditorKit.`write​(OutputStream out, Document doc, int pos, int len)`
Writes content from a document to the given stream in a format appropriate for this kind of content handler.

## Uses of OutputStream in javax.swing.text.rtf

Methods in javax.swing.text.rtf with parameters of type OutputStream
Modifier and Type
Method
Description
`void`
RTFEditorKit.`write​(OutputStream out, Document doc, int pos, int len)`
Write content from a document to the given stream in a format appropriate for this kind of content handler.

## Uses of OutputStream in javax.tools

Methods in javax.tools that return OutputStream
Modifier and Type
Method
Description
`OutputStream`
FileObject.`openOutputStream()`
Returns an OutputStream for this file object.
`OutputStream`
ForwardingFileObject.`openOutputStream()`
`OutputStream`
SimpleJavaFileObject.`openOutputStream()`
This implementation always throws UnsupportedOperationException.
Methods in javax.tools with parameters of type OutputStream
Modifier and Type
Method
Description
`int`
Tool.`run​(InputStream in, OutputStream out, OutputStream err, String... arguments)`
Run the tool with the given I/O channels and arguments.

## Uses of OutputStream in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig with parameters of type OutputStream
Modifier and Type
Method
Description
`Data`
Transform.`transform​(Data data, XMLCryptoContext context, OutputStream os)`
Transforms the specified data using the underlying transform algorithm.

## Uses of OutputStream in javax.xml.stream

Methods in javax.xml.stream with parameters of type OutputStream
Modifier and Type
Method
Description
`abstract XMLEventWriter`
XMLOutputFactory.`createXMLEventWriter​(OutputStream stream)`
Create a new XMLEventWriter that writes to a stream
`abstract XMLEventWriter`
XMLOutputFactory.`createXMLEventWriter​(OutputStream stream, String encoding)`
Create a new XMLEventWriter that writes to a stream
`abstract XMLStreamWriter`
XMLOutputFactory.`createXMLStreamWriter​(OutputStream stream)`
Create a new XMLStreamWriter that writes to a stream
`abstract XMLStreamWriter`
XMLOutputFactory.`createXMLStreamWriter​(OutputStream stream, String encoding)`
Create a new XMLStreamWriter that writes to a stream

## Uses of OutputStream in javax.xml.transform.stream

Methods in javax.xml.transform.stream that return OutputStream
Modifier and Type
Method
Description
`OutputStream`
StreamResult.`getOutputStream()`
Get the byte stream that was set with setOutputStream.
Methods in javax.xml.transform.stream with parameters of type OutputStream
Modifier and Type
Method
Description
`void`
StreamResult.`setOutputStream​(OutputStream outputStream)`
Set the ByteStream that is to be written to.
Constructors in javax.xml.transform.stream with parameters of type OutputStream
Modifier
Constructor
Description
``
`StreamResult​(OutputStream outputStream)`
Construct a StreamResult from a byte stream.

## Uses of OutputStream in jdk.jshell.execution

Methods in jdk.jshell.execution with parameters of type OutputStream
Modifier and Type
Method
Description
`static void`
Util.`forwardExecutionControlAndIO​(ExecutionControl ec, InputStream inStream, OutputStream outStream, Map<String,​Consumer<OutputStream>> outputStreamMap, Map<String,​Consumer<InputStream>> inputStreamMap)`
Forward commands from the input to the specified `ExecutionControl` instance, then responses back on the output.
`static ExecutionControl`
Util.`remoteInputOutput​(InputStream input, OutputStream output, Map<String,​OutputStream> outputStreamMap, Map<String,​InputStream> inputStreamMap, BiFunction<ObjectInput,​ObjectOutput,​ExecutionControl> factory)`
Creates an ExecutionControl for given packetized input and output.
Method parameters in jdk.jshell.execution with type arguments of type OutputStream
Modifier and Type
Method
Description
`static void`
Util.`forwardExecutionControlAndIO​(ExecutionControl ec, InputStream inStream, OutputStream outStream, Map<String,​Consumer<OutputStream>> outputStreamMap, Map<String,​Consumer<InputStream>> inputStreamMap)`
Forward commands from the input to the specified `ExecutionControl` instance, then responses back on the output.
`static ExecutionControl`
Util.`remoteInputOutput​(InputStream input, OutputStream output, Map<String,​OutputStream> outputStreamMap, Map<String,​InputStream> inputStreamMap, BiFunction<ObjectInput,​ObjectOutput,​ExecutionControl> factory)`
Creates an ExecutionControl for given packetized input and output.

## Uses of OutputStream in jdk.security.jarsigner

Methods in jdk.security.jarsigner with parameters of type OutputStream
Modifier and Type
Method
Description
`void`
JarSigner.`sign​(ZipFile file, OutputStream os)`
Signs a file into an `OutputStream`.

## Uses of OutputStream in org.ietf.jgss

Methods in org.ietf.jgss with parameters of type OutputStream
Modifier and Type
Method
Description
`void`
GSSContext.`acceptSecContext​(InputStream inStream, OutputStream outStream)`
Deprecated.
The stream-based methods have been removed from RFC 8353.
`void`
GSSContext.`getMIC​(InputStream inStream, OutputStream outStream, MessageProp msgProp)`
Deprecated.
The stream-based methods have been removed from RFC 8353.
`int`
GSSContext.`initSecContext​(InputStream inStream, OutputStream outStream)`
Deprecated.
The stream-based methods have been removed from RFC 8353.
`void`
GSSContext.`unwrap​(InputStream inStream, OutputStream outStream, MessageProp msgProp)`
Deprecated.
The stream-based methods have been removed from RFC 8353.
`void`
GSSContext.`wrap​(InputStream inStream, OutputStream outStream, MessageProp msgProp)`
Deprecated.
The stream-based methods have been removed from RFC 8353.

## Uses of OutputStream in org.w3c.dom.ls

Methods in org.w3c.dom.ls that return OutputStream
Modifier and Type
Method
Description
`OutputStream`
LSOutput.`getByteStream()`
An attribute of a language and binding dependent type that represents a writable stream of bytes.
Methods in org.w3c.dom.ls with parameters of type OutputStream
Modifier and Type
Method
Description
`void`
LSOutput.`setByteStream​(OutputStream byteStream)`
An attribute of a language and binding dependent type that represents a writable stream of bytes.